package jp.veritrans.mpos.sample.integration.ui;

import android.app.Dialog;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AlertDialog;
import androidx.fragment.app.DialogFragment;

import java.text.MessageFormat;

import jp.veritrans.mpos.sample.integration.BuildConfig;
import jp.veritrans.mpos.sample.integration.R;

/**
 * アプリバージョンをダイアログ表示するフラグメント。
 */
@SuppressWarnings("WeakerAccess")
public class ApplicationVersionDialogFragment extends DialogFragment {

    @NonNull
    @Override
    public Dialog onCreateDialog(@Nullable Bundle savedInstanceState) {

        String version = BuildConfig.VERSION_NAME;
        String message = MessageFormat.format("Version: {0}", version);

        return new AlertDialog.Builder(getActivity())
                .setTitle(R.string.app_name)
                .setMessage(message)
                .create();
    }

    @Override
    public void onPause() {
        super.onPause();
        dismiss();
    }
}
