package jp.veritrans.mpos.v2.integration;

/**
 * mPOSアプリ連携に関するアクションを定義した列挙子。
 */
public enum MposIntegrationAction {

    /** 決済処理 */
    PAYMENT,
    /** 取消処理 */
    CANCEL,
    /** 返金処理 */
    REFUND;

    /** アクションタイプ */
    private final String type;

    /**
     * コンストラクタ。
     */
    MposIntegrationAction() {
        this.type = this.toString().toLowerCase();
    }

    /**
     * アクションタイプを取得する。
     *
     * @return アクションタイプ
     */
    public String getType() {
        return this.type;
    }
}
